# NextCloud Installer

## Install

From the Debian root prompt, run:

`bash <(wget -qO- https://gitlab.com/ThatGuy/nextcloud-curl-installer/raw/master/installer.sh)`

## What does this script do?

In order:

*  apt-get update & upgrade
*  Installs net-tools; bzip2 and sudo
*  Changes sshd_config to force IPv4 and Port 22 only
*  Changes sshd_config to allow root login with password (delete line #5 if you dont want this)
*  Restarts the ssh service
*  Installs lsb-release; apt-transport-https, and ca-certificates
*  Gets the gpg key from https://packages.sury.org/php/apt.gpg (used for php7.3 repo)
*  Adds the https://packages.sury.org/php/ repo to /etc/apt/sources.list.d/php7.3.list
*  apt-get update & upgrade
*  Installs apache2 apache2-utils sqlite3 php7.3 libapache2-mod-php7.3 php-sqlite3 php-common php7.3-cli php7.3-common php7.3-json php7.3-opcache php7.3-readline php7.3-zip php7.3-gd php7.3-mbstring php7.3-curl php7.3-xml php7.3-bcmath php-intl php-imagick redis-server php7.3-redis php-apcu
*  Gets the latest version of Nextcloud from download.nextcloud.com, and puts it /var/www/nextcloud-latest.tar.bz2
*  Extracts the bz2 to /var/www/nextcloud
*  Updates the ownership of /var/www/nextcloud to www-data:www-data
*  Configures /etc/apache2/sites-available/000-default.conf (DocumentRoot)
*  Configures /etc/apache2/apache2.conf (DocumentRoot and AllowOverride All)
*  Enables Apache2 rewrite
*  Configures PHP.ini max_execution to 30000
*  Configures PHP.ini memory_limit to 1024M
*  Configures PHP.ini post_max_size to 200M
*  Configures PHP.ini upload_max_filesize to 200M
*  Restarts Apache2
*  Pauses to let the web configuration be entered manually
*  Updates the Nextcloud config to include Redis and APCu memcaching